hush: "adopt" ash signal4.tests
authorDenys Vlasenko <vda.linux@googlemail.com>
Thu, 6 Jul 2017 16:40:45 +0000 (18:40 +0200)
committerDenys Vlasenko <vda.linux@googlemail.com>
Thu, 6 Jul 2017 16:40:45 +0000 (18:40 +0200)
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
shell/hush.c
shell/hush_test/hush-signals/signal4.right [new file with mode: 0644]
shell/hush_test/hush-signals/signal4.tests [new file with mode: 0755]

index aee77d03b7e8969d9869e97e76e14a60f26b8a01..64b33cf1c87d57d7d02d90b1cefe6ba8126f5721 100644 (file)
@@ -9486,7 +9486,7 @@ static int FAST_FUNC builtin_trap(char **argv)
                        if (sig < 0 || sig >= NSIG) {
                                ret = EXIT_FAILURE;
                                /* Mimic bash message exactly */
-                               bb_perror_msg("trap: %s: invalid signal specification", argv[-1]);
+                               bb_error_msg("trap: %s: invalid signal specification", argv[-1]);
                                continue;
                        }
 
diff --git a/shell/hush_test/hush-signals/signal4.right b/shell/hush_test/hush-signals/signal4.right
new file mode 100644 (file)
index 0000000..2d06247
--- /dev/null
@@ -0,0 +1,4 @@
+hush: trap: BADNAME: invalid signal specification
+1
+Trapped
+Ok
diff --git a/shell/hush_test/hush-signals/signal4.tests b/shell/hush_test/hush-signals/signal4.tests
new file mode 100755 (executable)
index 0000000..6f1c4a9
--- /dev/null
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+trap "echo Trapped" BADNAME TERM; echo $?
+kill $$
+echo Ok